Subject: bug#15262: 24.3.50; desktop does not save buffer-display-time

From: Sam Steingold <[email-masked]>
Date: Tue, 3 Sep 2013 15:46:26 -0400

On Tue, Sep 3, 2013 at 3:26 PM, Glenn Morris <[email-masked]> wrote:
> Sam Steingold wrote:
>
>> desktop saves the buffers, but not their buffer-display-time.
>> i.e., when Emacs is started and desktop loads all the old buffers,
>> their buffer-display-time is set to the Emacs start time.
>
> So add buffer-display-time to your value of desktop-locals-to-save.

thanks!
Alas, there is no interface for pushing values to custom variables...
I would have to do either
(custom-set-variables
 '(desktop-locals-to-save (cons 'buffer-display-time desktop-locals-to-save)
   nil (desktop)))
or
(eval-after-load "desktop"
 '(add-to-list 'desktop-locals-to-save 'buffer-display-time))
neither of which is perfect.
(the first can push repeatedly and the second bypasses the custom system)

>> this leads to ancient buffers not being cleaned up by clean-buffer-list.
>
> It's not obvious to me that everyone will want the same behaviour as
> you do.

Can you describe a situation when the current behavior is more useful
than the proposed one?
thanks.

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>